# TdApi.AddFavoriteSticker (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AddFavoriteSticker

Package it.tdlight.jni

# Class TdApi.AddFavoriteSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AddFavoriteSticker

Enclosing class:
  TdApi

    public static class TdApi.AddFavoriteSticker
    extends TdApi.Function

Adds a new sticker to the list of favorite stickers. The new sticker is added to the top of the list. If the sticker was already in the list, it is removed from the list first. Only stickers belonging to a sticker set can be added to this list.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.InputFile` | `sticker` | Sticker file to add.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AddFavoriteSticker()` | Adds a new sticker to the list of favorite stickers.
`AddFavoriteSticker​(TdApi.InputFile sticker)` | Adds a new sticker to the list of favorite stickers.
`AddFavoriteSticker​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
Sticker file to add.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AddFavoriteSticker

public AddFavoriteSticker()
Adds a new sticker to the list of favorite stickers. The new sticker is added to the top of the list. If the sticker was already in the list, it is removed from the list first. Only stickers belonging to a sticker set can be added to this list.

Returns `Ok`

### AddFavoriteSticker

public AddFavoriteSticker​(TdApi.InputFile sticker)
Adds a new sticker to the list of favorite stickers. The new sticker is added to the top of the list. If the sticker was already in the list, it is removed from the list first. Only stickers belonging to a sticker set can be added to this list.

Returns `Ok`

Parameters:
  `sticker` - InputFile Sticker file to add.

### AddFavoriteSticker

public AddFavoriteSticker​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`